summaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorNikolas Hermanns <nikolas.hermanns@ericsson.com>2017-01-23 05:07:22 -0500
committerNikolas Hermanns <nikolas.hermanns@ericsson.com>2017-01-23 05:07:22 -0500
commitd78e2cc336523b2357c766ab6775e91b87b4d632 (patch)
treeeccd1310ac199ccf591cda5892ce3e2c402d1cbc /contrib
parent4ce88c9d256f8bbcfd809b7800c04a9ade5d150b (diff)
Some bugfixes in simple_deploy.sh
Change-Id: I553beedc6195dd4714ba6cb388036da2bd7a355d Signed-off-by: Nikolas Hermanns <nikolas.hermanns@ericsson.com>
Diffstat (limited to 'contrib')
-rw-r--r--contrib/simple_deploy.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/contrib/simple_deploy.sh b/contrib/simple_deploy.sh
index f4b082ae..6ad727d5 100644
--- a/contrib/simple_deploy.sh
+++ b/contrib/simple_deploy.sh
@@ -1,19 +1,19 @@
#!/bin/bash
set -e
-apex_home=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
+apex_home=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/../
export CONFIG=$apex_home/build
export LIB=$apex_home/lib
export RESOURCES=$apex_home/.build/images/
export PYTHONPATH=$PYTHONPATH:$apex_home/lib/python
-$apex_home/ci/dev_dep_check.sh
+$apex_home/ci/dev_dep_check.sh || true
+$apex_home/ci/clean.sh
pushd $apex_home/build
make clean
make undercloud
make overcloud-opendaylight
+popd
pushd $apex_home/ci
-./clean.sh
-./dev_dep_check.sh
-out=/tmp/opnfv-deploy.out
-echo "All further output will be piped to $out"
-(nohup ./deploy.sh -v -n $apex_home/config/network/network_settings.yaml -d $apex_home/config/deploy/os-odl_l3-nofeature-noha.yaml &> $out &)
+echo "All further output will be piped to $PWD/nohup.out"
+(nohup ./deploy.sh -v -n $apex_home/config/network/network_settings.yaml -d $apex_home/config/deploy/os-odl_l3-nofeature-noha.yaml &)
+tail -f nohup.out
popd